<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>I-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="index: I">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="split-index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><a href="../fr/ici/dataImporter/iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">ICIObject</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>
<div class="block">Supertype of every objects created and used in ICI Simulator</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/ICIObject.html#%3Cinit%3E()">ICIObject()</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/ICIObject.html#ID">ID</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></dt>
<dd>
<div class="block">Unique id</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#idBuilding">idBuilding</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#idEntrances">idEntrances</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">References of <a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#idPOI">idPOI</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">References of <a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#IDsBuilding">IDsBuilding</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/transport/Station.html#idsSTIF">idsSTIF</a></span> - Variable in class fr.ici.dataImporter.iciObjects.transport.<a href="../fr/ici/dataImporter/iciObjects/transport/Station.html" title="class in fr.ici.dataImporter.iciObjects.transport">Station</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#idWorkingPlaces">idWorkingPlaces</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">References of <a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>, <a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects"><code>WorkingPlace</code></a> and entrances of <a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects"><code>Address</code></a> objects.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#importAddressFromBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromBAN(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#importAddressFromCsvBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromCsvBAN(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Import addresses from an already geocoded file</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#importAddressFromGeocodedBAN(java.io.File,org.locationtech.jts.geom.Geometry)">importAddressFromGeocodedBAN(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>
<div class="block">Import addresses from an already geocoded file</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#importAddressFromICI(java.io.File)">importAddressFromICI(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Aggregate.html#importAggreg(java.io.File)">importAggreg(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Aggregate.html" title="class in fr.ici.dataImporter.iciObjects">Aggregate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#importApurPOI(java.io.File)">importApurPOI(File)</a></span> - Static method in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">Generate APUR POI points from already generated apurPOI</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurPOI.html#importApurPOI(java.io.File,java.io.File)">importApurPOI(File, File)</a></span> - Static method in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></dt>
<dd>
<div class="block">Generate new APUR POI points from apur output</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/paris/ApurWorkingPlace.html#importAPURWorkingPlace(java.io.File,java.util.List)">importAPURWorkingPlace(File, List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.paris.<a href="../fr/ici/dataImporter/paris/ApurWorkingPlace.html" title="class in fr.ici.dataImporter.paris">ApurWorkingPlace</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#importBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)">importBpePOI(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Building.html#importBuilding(java.io.File)">importBuilding(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#importBuilding(java.io.File,java.io.File)">importBuilding(File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#importBuilding(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuilding(File, File, File, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">Import ICI buildings from IGN BDTOPO buildings and automatically generate a repartition for the housing sizes of buildings.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#importBuildingFromBDTopo(java.io.File)">importBuildingFromBDTopo(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#importBuildingFromBDTopo(java.io.File,org.locationtech.jts.geom.Geometry)">importBuildingFromBDTopo(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html#importBuildingFromICI(java.io.File)">importBuildingFromICI(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a></dt>
<dd>
<div class="block">Import buildings from an already existing collection of ICI building or from BDTopo</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#importBuildingGroup(java.io.File)">importBuildingGroup(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Import already exported ICI's BuildingGroup.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#importBuildingGroup(java.io.File,boolean,java.util.List)">importBuildingGroup(File, boolean, List&lt;Address&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Import already exported ICI's BuildingGroup.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#importBuildingGroup(java.io.File,java.io.File,java.io.File)">importBuildingGroup(File, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new BuildingGroup from sources.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html#importBuildingGroup(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuildingGroup(File, File, File, File, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a></dt>
<dd>
<div class="block">Generate new BuildingGroup from sources and generate housing.</div>
</dd>
<dt><a href="../fr/ici/dataImporter/osm/ImportCommonTransportation.html" title="class in fr.ici.dataImporter.osm"><span class="type-name-link">ImportCommonTransportation</span></a> - Class in <a href="../fr/ici/dataImporter/osm/package-summary.html">fr.ici.dataImporter.osm</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/ImportCommonTransportation.html#%3Cinit%3E(java.io.File,java.io.File,java.io.File)">ImportCommonTransportation(File, File, File)</a></span> - Constructor for class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/ImportCommonTransportation.html" title="class in fr.ici.dataImporter.osm">ImportCommonTransportation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#importCsvBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)">importCsvBpePOI(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/ImportOSM.html#importCyclePark(java.io.File,java.io.File)">importCyclePark(File, File)</a></span> - Static method in class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/ImportOSM.html" title="class in fr.ici.dataImporter.osm">ImportOSM</a></dt>
<dd>
<div class="block">Select cycle parks from a overpass OSM amenity dump</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#importGeocodedBpePOI(java.io.File)">importGeocodedBpePOI(File)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/BpePOI.html#importGeocodedBpePOI(java.io.File,org.locationtech.jts.geom.Geometry)">importGeocodedBpePOI(File, Geometry)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#importHousehold(java.io.File)">importHousehold(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">Import Households objects from already generated households</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Household.html#importHousehold(java.util.List,java.io.File,java.io.File)">importHousehold(List&lt;? extends Building&gt;, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></dt>
<dd>
<div class="block">Generate the household of a zone relatively to housing already generated by the <a href="../fr/ici/dataImporter/iciObjects/Building.html#importBuilding(java.io.File)"><code>Building.importBuilding(File)</code></a> method.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#importIndividuals(java.io.File)">importIndividuals(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>
<div class="block">Import ICI individuals from an already exported file.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File)">importIndividuals(List&lt;Household&gt;, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>
<div class="block">Generate ICI individuals regarding to a list of <a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File,java.io.File)">importIndividuals(List&lt;Household&gt;, File, File, File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>
<div class="block">Generate ICI individuals regarding to a list of <a href="../fr/ici/dataImporter/iciObjects/Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a> and INSEE's statistics</div>
</dd>
<dt><a href="../fr/ici/dataImporter/osm/ImportOSM.html" title="class in fr.ici.dataImporter.osm"><span class="type-name-link">ImportOSM</span></a> - Class in <a href="../fr/ici/dataImporter/osm/package-summary.html">fr.ici.dataImporter.osm</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/ImportOSM.html#%3Cinit%3E()">ImportOSM()</a></span> - Constructor for class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/ImportOSM.html" title="class in fr.ici.dataImporter.osm">ImportOSM</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/OsmPOI.html#importOsmFromICIPOI(java.io.File)">importOsmFromICIPOI(File)</a></span> - Static method in class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></dt>
<dd>
<div class="block">import a list of OSM POI from a file.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/OsmPOI.html#importOsmPOI(java.io.File)">importOsmPOI(File)</a></span> - Static method in class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></dt>
<dd>
<div class="block">import a list of OSM POI from a file.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/osm/OsmPOI.html#importOsmPOIGeoDataMine(java.io.File)">importOsmPOIGeoDataMine(File)</a></span> - Static method in class fr.ici.dataImporter.osm.<a href="../fr/ici/dataImporter/osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></dt>
<dd>
<div class="block">import a list of OSM POI from an geodatamine dump</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#importPOI(java.io.File)">importPOI(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>
<div class="block">Import POI from an already generated file.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources(File, List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>
<div class="block">Import POI the way root folder is organized</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.html#importSIRENEfromPostgisDB(java.lang.String)">importSIRENEfromPostgisDB(String)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.html#importSIRENEfromPostgisDB(java.lang.String,java.io.File,boolean)">importSIRENEfromPostgisDB(String, File, boolean)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.html#importSIRENEfromPostgisDB(java.util.List,java.io.File)">importSIRENEfromPostgisDB(List&lt;String&gt;, File)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.html" title="class in fr.ici.dataImporter.insee">SireneImport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SirenePOI.html#importSirenePOI(java.io.File)">importSirenePOI(File)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SirenePOI.html" title="class in fr.ici.dataImporter.insee">SirenePOI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html#importSireneWorkingPlace(java.io.File)">importSireneWorkingPlace(File)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneWorkingPlace.html" title="class in fr.ici.dataImporter.insee">SireneWorkingPlace</a></dt>
<dd>
<div class="block">Import WorkingPlace objects from an already generated file.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html#importWorkingPlace(java.io.File)">importWorkingPlace(File)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></dt>
<dd>
<div class="block">Import Working Places from an already exported ICI Working Place file</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html#importWorkingPlace(java.io.File,java.io.File,java.util.List)">importWorkingPlace(File, File, List&lt;? extends Building&gt;)</a></span> - Static method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></dt>
<dd>
<div class="block">Import Working Places from sources</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#impossible">impossible</a></span> - Static variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects"><span class="type-name-link">Individual</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/package-summary.html">fr.ici.dataImporter.iciObjects</a></dt>
<dd>
<div class="block">Individual for ICI simulations.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#%3Cinit%3E(java.lang.String,org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual(String, Point, ClassAge, Sex, String)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Individual.html#%3Cinit%3E(org.locationtech.jts.geom.Point,fr.ici.dataImporter.iciObjects.property.ClassAge,fr.ici.dataImporter.iciObjects.property.Sex,java.lang.String)">Individual(Point, ClassAge, Sex, String)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html#iniCursor">iniCursor</a></span> - Variable in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html" title="class in fr.ici.dataImporter.insee">SireneImport.TemporizeSIRENECursoredData</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#initialProbabilityDistribution">initialProbabilityDistribution</a></span> - Variable in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#initialProbabilityDistributionFComp">initialProbabilityDistributionFComp</a></span> - Variable in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#initialProbabilityDistributionHComp">initialProbabilityDistributionHComp</a></span> - Variable in class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/iris/IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris"><span class="type-name-link">IRIS</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></dt>
<dd>
<div class="block">An IRIS is the smallest scale for statistical information in France.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRIS.html#%3Cinit%3E(org.locationtech.jts.geom.Polygon,java.lang.String,java.lang.String)">IRIS(Polygon, String, String)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRIS.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRIS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#irisCode">irisCode</a></span> - Variable in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris"><span class="type-name-link">IRISDemography</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></dt>
<dd>
<div class="block">IRIS implementation for statistical demographic information.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,java.util.List)">IRISDemography(SimpleFeature, SimpleFeature, List&lt;Individual&gt;)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISDemography.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISDemography</a></dt>
<dd>
<div class="block">Constructor for Household generation purposes</div>
</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris"><span class="type-name-link">IRISHousehold</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></dt>
<dd>
<div class="block">IRIS implementation for statistical household information.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,int)">IRISHousehold(SimpleFeature, SimpleFeature, int)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a></dt>
<dd>
<div class="block">Constructor for Household generation purposes</div>
</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris"><span class="type-name-link">IRISHousing</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></dt>
<dd>
<div class="block">IRIS implementation for statistical housing information.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature)">IRISHousing(SimpleFeature)</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISHousing.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousing</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html" title="class in fr.ici.dataImporter.iciObjects.iris"><span class="type-name-link">IRISUtil</span></a> - Class in <a href="../fr/ici/dataImporter/iciObjects/iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></dt>
<dd>
<div class="block">Useful tools to analyze IRIS.</div>
</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html#%3Cinit%3E()">IRISUtil()</a></span> - Constructor for class fr.ici.dataImporter.iciObjects.iris.<a href="../fr/ici/dataImporter/iciObjects/iris/IRISUtil.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneEntry.html#isActive(java.lang.String)">isActive(String)</a></span> - Static method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#isEntrance()">isEntrance()</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html#isFinished()">isFinished()</a></span> - Method in class fr.ici.dataImporter.insee.<a href="../fr/ici/dataImporter/insee/SireneImport.TemporizeSIRENECursoredData.html" title="class in fr.ici.dataImporter.insee">SireneImport.TemporizeSIRENECursoredData</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/Address.html#isParcel()">isParcel()</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/util/MakeCommonNomenclature.html#isSireneRealCategorie(java.io.File,int)">isSireneRealCategorie(File, int)</a></span> - Static method in class fr.ici.dataImporter.util.<a href="../fr/ici/dataImporter/util/MakeCommonNomenclature.html" title="class in fr.ici.dataImporter.util">MakeCommonNomenclature</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/iciObjects/POI.html#isValid()">isValid()</a></span> - Method in class fr.ici.dataImporter.iciObjects.<a href="../fr/ici/dataImporter/iciObjects/POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a></dt>
<dd>&nbsp;</dd>
<dt><span class="member-name-link"><a href="../fr/ici/dataImporter/mobile/RFS.html#isWeekDay(java.lang.String)">isWeekDay(String)</a></span> - Static method in class fr.ici.dataImporter.mobile.<a href="../fr/ici/dataImporter/mobile/RFS.html" title="class in fr.ici.dataImporter.mobile">RFS</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
